<?
define('PROTECTOR', 1);

$headmod = 'pit';//фикс. места

$textl='Питомец';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
switch($_GET[mod]){
default:
if(empty($_GET[id])){
echo"Нет такого питомца!<br/>";
include($path.'files/down.php');exit;
}
$req = mysql_query("SELECT * FROM `pit` WHERE `id` = '$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Нет такого питомца!";
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);

echo"<b>$pit[name]</b><br/>";
echo"<img src='pic/pit/$pit[rasa].png'/><br/>";
echo"Раса: ";
if($pit[rasa]=="wolf"){echo"Волк<br/>";}
if($pit[rasa]=="dog"){echo"Собака<br/>";}
if($pit[rasa]=="tiger"){echo"Тигр<br/>";}
if($pit[rasa]=="teddy"){echo"Медведь<br/>";}
if($pit[rasa]=="red_dragon"){echo"Красный Дракон<br/>";}
echo"Хозяин: <a href=\"search.php?nick=$pit[usr]&amp;go=go\"><b>$pit[usr]</b></a><br/>";
echo"Уровень: $pit[lvl]<br/>";
echo"Опыт: $pit[exp]<br/>";
echo"Жизни: $pit[hp]/$pit[hpall]<br/>";
echo"Смертей: $pit[dies]<br/>";
echo"Статус: ";
if($pit[status]=="off"){echo"<b>В питомнике</b><br/>";}
if($pit[status]=="on"){echo"<b>С хозяином</b><br/>";
}
if($pit[status]=="die"){echo"<b>Мёртв</b><br/>";}

echo"<br/><b>Физические параметры</b><br/>";
echo"Сила: $pit[sila]<br/>";
echo"Ловкость: $pit[lovk]<br/>";
echo"Физ. Защита: $pit[prot]<br/>";
echo"Анти-крит: $pit[antikrit]%<br/>";
echo"Крит: $pit[krit]%<br/>";
echo"Урон-крит: $pit[ukrit]%<br/>";
echo"Урон: <b>$pit[umin]/$pit[umax](+$pit[sila])</b><br/>";
echo"Защита головы: <b>$pit[pgolova]</b><br/>";
echo"Защита тела: <b>$pit[pbody]</b><br/>";
echo"Защита ног: <b>$pit[pnogi]</b><br/>";

echo"<br/><b>Снаряжение</b><br/>";
$i=1;
while($i<=4){
switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Сапоги';
$gt='nogi';
break;
}
echo"$tip: ";
$req = mysql_query("SELECT id,name FROM `pit_item` WHERE `usr` = '$pit[usr]' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Пусто<br/>";
}else{
$mag = mysql_fetch_array($req);
echo"<b>$mag[name]</b><br/>";
}
$i++;
}

break;

case 'mypit':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"С вами нет питомца!";
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);

echo"<b>$pit[name]</b><br/>";
echo"<img src='pic/pit/$pit[rasa].png'/><br/>";
echo"Раса: ";
if($pit[rasa]=="wolf"){echo"Волк<br/>";}
if($pit[rasa]=="dog"){echo"Собака<br/>";}
if($pit[rasa]=="tiger"){echo"Тигр<br/>";}
if($pit[rasa]=="teddy"){echo"Медведь<br/>";}
if($pit[rasa]=="red_dragon"){echo"Красный Дракон<br/>";}
echo"Уровень: $pit[lvl]<br/>";
echo"Опыт: $pit[exp]<br/>";
echo"Жизни: $pit[hp]/$pit[hpall]<br/>";
echo"Свободные очки: $pit[skill]<br/>";
echo"Смертей: $pit[dies]<br/>";
echo"Статус: ";
if($pit[status]=="off"){echo"<b>В питомнике</b><br/>";}
if($pit[status]=="on"){echo"<b>С вами</b><br/>";
$pit[lasteda]=$pit[lasteda]-time();
if($pit[lasteda]<60){
echo "Сытость: $pit[lasteda] секунд<br/>";
}elseif($pit[lasteda]>60 and $pit[lasteda]<3600){
$pit[lasteda]=round($pit[lasteda]/60);
echo "Сытость: $pit[lasteda] минут<br/>";
}else{
$pit[lasteda]=round($pit[lasteda]/3600);
echo "Сытость: $pit[lasteda] часов<br/>";
}
}
if($pit[status]=="die"){echo"<b>Мёртв</b><br/>";}

echo"<br/><b>Физические параметры</b><br/>";
echo"Сила: $pit[sila]<br/>";
echo"Ловкость: $pit[lovk]<br/>";
echo"Физ. Защита: $pit[prot]<br/>";
echo"Анти-крит: $pit[antikrit]%<br/>";
echo"Крит: $pit[krit]%<br/>";
echo"Урон-крит: $pit[ukrit]%<br/>";
echo"Урон: <b>$pit[umin]/$pit[umax](+$pit[sila])</b><br/>";
echo"Защита головы: <b>$pit[pgolova]</b><br/>";
echo"Защита тела: <b>$pit[pbody]</b><br/>";
echo"Защита ног: <b>$pit[pnogi]</b><br/>";

echo"<br/><b>Снаряжение</b><br/>";
$i=1;
while($i<=4){
switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Сапоги';
$gt='nogi';
break;
}
echo"$tip: ";
$req = mysql_query("SELECT id,name FROM `pit_item` WHERE `usr` = '$log' and `tip`='$gt' and `pit`='$pit[id]' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Пусто<br/>";
}else{
$mag = mysql_fetch_array($req);
echo"<a href=\"pit.php?mod=snyat&amp;tip=$gt\"><b>$mag[name]</b></a><br/>";
}
$i++;
}
echo"<a href=\"pit.php?mod=item\">Инвентарь</a><br/>";
break;
case 'item':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"С вами нет питомца!";
include($path.'files/down.php');exit;
}

if(empty($_GET[o])){
echo"<a href=\"pit.php?mod=item&amp;o=weapon\">Оружия</a><br/>";
echo"<a href=\"pit.php?mod=item&amp;o=golova\">Шлемы</a><br/>";
echo"<a href=\"pit.php?mod=item&amp;o=body\">Доспехи</a><br/>";
echo"<a href=\"pit.php?mod=item&amp;o=nogi\">Сапоги</a><br/>";
echo"<a href=\"pit.php?mod=mypit\">Назад</a>";
}else{
if($_GET[o]!=weapon && $_GET[o]!=golova && $_GET[o]!=body && $_GET[o]!=nogi){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `tip`='$_GET[o]' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
echo"<a href=\"pit.php?mod=info&amp;id=$mag[id]\">$mag[name]</a> [<a href=\"pit.php?mod=dress&amp;id=$mag[id]\">одеть</a>]<br/>";
}
}else{
echo"<b>Нет вещей!</b><br/>";
}
echo"<a href=\"pit.php?mod=item\">Назад</a>";
}
break;
case 'info':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"С вами нет питомца!";
include($path.'files/down.php');exit;
}

$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `id`='$_GET[id]'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);
switch($mag[tip]){
case 'weapon':
$tip='Оружие';
break;
case 'body':
$tip='Доспехи';
break;
case 'golova':
$tip='Шлем';
break;
case 'nogi':
$tip='Сапоги';
break;
}
switch($mag[rasa]){
case 'not':
$rasa='Все';
break;
case 'wolf':
$rasa='Волк';
break;
case 'dog':
$rasa='Собака';
break;
}
echo"<b>$mag[name]</b><br/>
Тип: $tip<br/>
<b>Характеристика</b><br/>
Урон: $mag[umin]/$mag[umax]<br/>
Защита головы: $mag[pgolova]<br/>
Защита тела: $mag[pbody]<br/>
Защита ног: $mag[pnogi]<br/>
<b>Бонусы:</b><br/>
Жизнь: $mag[hp]<br/>
Крит: $mag[krit]%<br/>
Крит-урон: $mag[ukrit]%<br/>
<b>Требования:</b><br/>
Раса: $rasa<br/>
Уровень: $mag[nlvl]<br/>
";
echo"<a href=\"pit.php?mod=item\">Назад</a>";
break;
case 'dress':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"У вас нет питомца!";
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `id`='$_GET[id]' and `image`='not'");

$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, такой вещи нет!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `tip`='$mag[tip]' and `pit`='$pit[id]' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto>=1){
echo'Сначала снимите то что на питомце!';
include($path.'files/down.php');
exit;
}


if($mag[rasa]!='not' and $mag[rasa]!=$pit[rasa]){
echo'Эта вещь не для расы вашего питомца!';
include($path.'files/down.php');
exit;
}
if($mag[nlvl] > $pit[lvl]){
echo'Ващь неподходит по уровню!';
include($path.'files/down.php');
exit;
}

$numin=$mag[umin]+$pit[umin];
$numax=$mag[umax]+$pit[umax];

$npgolova=$mag[pgolova]+$pit[pgolova];
$npbody=$mag[pbody]+$pit[pbody];
$npnogi=$mag[pnogi]+$pit[pnogi];

$nhp=$mag[hp]+$pit[hpall];
$nkrit=$mag[krit]+$pit[krit];
$nukrit=$mag[ukrit]+$pit[ukrit];
$nanti=$mag[antikrit]+$pit[antikrit];
$nsila=$mag[sila]+$pit[sila];
$nlovk=$mag[lovk]+$pit[lovk];

mysql_query("UPDATE `pit` SET
         `umin` = '$numin',
         `umax` = '$numax',
         `pgolova` = '$npgolova',
         `pbody` = '$npbody',
         `pnogi` = '$npnogi',
         `hpall` = '$nhp',
         `krit` = '$nkrit',
         `ukrit` = '$nukrit',
         `antikrit` = '$nanti',
         `sila` = '$nsila',
         `lovk` = '$nlovk'
          WHERE usr = '$log' and `status`='on'");
mysql_query("UPDATE pit_item SET image = 'yes',`pit`='$pit[id]' WHERE `usr` = '$log' and `tip`='$mag[tip]' and `id`='$_GET[id]'");

echo"Вы одели $mag[name] на питомца!<br/>";
echo"<a href=\"pit.php?mod=item\">Назад</a>";
break;
case 'snyat':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"С вами нет питомца!";
include($path.'files/down.php');exit;
}
$pit = mysql_fetch_array($req);

$req = mysql_query("SELECT * FROM `pit_item` WHERE `usr` = '$log' and `pit`='$pit[id]' and `tip`='$_GET[tip]' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Ошибка, на питомце ничего не одето!';
include($path.'files/down.php');
exit;
}
$mag = mysql_fetch_array($req);

$numin=$pit[umin]-$mag[umin];
$numax=$pit[umax]-$mag[umax];

$npgolova=$pit[pgolova]-$mag[pgolova];
$npbody=$pit[pbody]-$mag[pbody];
$npnogi=$pit[pnogi]-$mag[pnogi];

$nhp=$pit[hpall]-$mag[hp];
$nkrit=$pit[krit]-$mag[krit];
$nukrit=$pit[ukrit]-$mag[ukrit];
$nanti=$pit[antikrit]-$mag[antikrit];
$nsila=$pit[sila]-$mag[sila];
$nlovk=$pit[lovk]-$mag[lovk];

mysql_query("UPDATE `pit` SET
         `umin` = '$numin',
         `umax` = '$numax',
         `pgolova` = '$npgolova',
         `pbody` = '$npbody',
         `pnogi` = '$npnogi',
         `hpall` = '$nhp',
         `krit` = '$nkrit',
         `ukrit` = '$nukrit',
         `antikrit` = '$nanti',
         `sila` = '$nsila',
         `lovk` = '$nlovk'
          WHERE usr = '$log' and `status`='on'");

mysql_query("UPDATE pit_item SET image = 'not',`pit`='0' WHERE `usr` = '$log' and `tip`='$_GET[tip]' and `image`='yes' and `pit`='$pit[id]'");

echo"Вы сняли $mag[name]!<br/>";
echo"<a href=\"pit.php?mod=mypit\">Назад</a>";
break;
}
include($path.'files/down.php');
?>